.teacher-list ul li {
    flex: 0 1 0;
}

.mt-300 {
    margin-top: 300px;
}

.block-teacher-img {
    margin-bottom: 75px;
    max-width: 720px;
    max-height: 640px;
    overflow: hidden;
    position: relative;
}

img.arrow-moreinfo {
    position: absolute;
    bottom: 20px;
    right: 20px;
}

img.img-teacher {
    width: 100%;
}

.block-teacher-img img {
    transition: 0.3s;
}

.teacher-list h3 {
    margin: 0;
}

.teacher-list h4 {
    font-family: "Open Sans";
    font-style: normal;
    font-weight: bold;
    line-height: 39px;
    font-size: 24px;
    letter-spacing: 0.05em;
}

.teacher-list h5 {
    font-family: "Bebas Neuebold";
    line-height: 38px;
    font-size: 40px;
    text-align: right;
    color: #0D0D0D;
}

.teacher-list p {
    max-width: 480px;
}

.block-teacher-img:hover img {
    transform: scale3d(1.1,1.1,1.1);
}

.teachers-form {
    position: fixed;
    top: 0;
    z-index: 19;
    background: rgba(255, 255, 255, 0.7);
    width: 100%;
    height: 100%;
    overflow-y: scroll;
}

.teachers-info-block {
    width: 100%;
}

.teachers-info-text {
    background: white;
    color: black;
    position: relative;
    padding: 70px 100px;
}

.teachers-info-text p {
    max-width: 570px;
}

.img-teacher-list img {
    width: 717px;
    height: 694px;
}

.teacher-media-img {
    width: 478px;
    height: 467px;
}

.teachers-info-block .video {
    width: 956px;
    height: 467px;
}

.teachers-info-block h4 {
    line-height: 45px;
    font-size: 48px;
    font-family: "Open Sans";
}

.teachers-info-block h5 {
    font-family: "Open Sans";
    font-style: normal;
    font-weight: bold;
    line-height: 39px;
    font-size: 24px;
    letter-spacing: 0.05em;
}

.teachers-schedule {
    max-width: 717px;
}

.teachers-info-block .registration button {
    width: 214px;
    height: 67px;
    font-size: 24px;
}

.teachers-info-block .registration {
    margin-top: 60px;
}

@media screen and (max-width: 1960px) {
    .block-teacher-img {
        width: 40vw;
        height: 35vw;
    }
}

@media screen and (max-width: 1444px) {
    .block-teacher-img {
        margin-bottom: 30px;
        width: 35vw;
        height: 32vw;
    }
    .teacher-list h3 {
        font-size: 4.5vw !important;
        line-height: 4.4vw !important;
    }
    .teachers-info-block h4 {
        font-size: 2.5vw !important;
    }
    .teachers-info-block h3 {
        margin-bottom: 0 !important;
    }
    .teachers-info-block h5 {
        font-size: 1.5vw !important;
    }
    .img-teacher-list img {
        width: 33vw !important;
        height: 100% !important;
        margin-bottom: 0.6rem;
    }
    .teacher-list .mb-100 {
        margin-bottom: 2.4vw !important;
    }
    .teachers-info-text p {
        max-width: 420px !important;
    }
    .teachers-schedule {
        max-width: 500px !important;
    }
    .teachers-info-block .registration button {
        width: 15vw ;
        height: 5vw ;
        font-size: 1.5vw ;
    }
    .teacher-media-img {
        width: 24vw ;
        height: 24vw ;
    }
    .teachers-info-block .video {
        width: 48vw !important;
        height: 24vw !important;
    }
    .teachers-info-block .registration {
        margin-top: 30px;
    }

}

@media screen and (max-width: 1024px) {
    .teachers-info-block .registration button {
        width: 15vw !important;
        height: 5vw !important;
        font-size: 1.5vw !important;
    }
    .teachers-info-block .video {
        width: 40vw !important;
        height: 20vw !important;
    }
    .teacher-media-img {
        width: 20vw ;
        height: 20vw ;
    }
    .img-teacher-list img {
        width: 29vw !important;
        height: 100% !important;
        margin-bottom: 0.6rem;
    }
    .teachers-info-text p {
        max-width: 300px !important;
    }
    .teachers-info-block h4 {
        margin: 0 !important;
    }
    .teachers-info-block h3 {
        max-width: 300px;
    }
}

@media screen and (max-width: 780px) {
    .teachers-info-text {
        padding: 50px;
    }
    .teachers-info-block h4 {
        margin-bottom: 0;
        line-height: 2rem;
    }
    .img-teacher-list {
        margin: auto;
        margin-bottom: 2.4vw;
    }
    .teachers-info-block h5 {
        line-height: 2px;
    }
}

@media screen and (max-width: 520px) {
    .teacher-list ul li {
        flex: unset !important;
    }

    .mt-300 {
        margin-top: 15vw !important;
    }

    .block-teacher-img {
        width: unset !important;
        height: unset !important;
    }

    img.arrow-moreinfo {
        width: 10vw !important;
    }

    .teacher-list h3 {
        line-height: 30px !important;
        font-size: 32px !important;
    }

    .teacher-list h4 {
        line-height: 23px !important;
        font-size: 14px !important;
        margin-bottom: 15px !important;
    }

    .teacher-list p {
        line-height: 16px !important;
        font-size: 10px !important;
        max-width: 250px !important;
    }

    .teachers-info-text {
        padding: 20px 10px;
    }

    .img-teacher-list img {
        width: 100% !important;
    }

    .teachers-info-block h5 {
        line-height: 17px !important;
        font-size: 18px !important;
        text-align: left;
        font-family: "Bebas Neuebold";
        margin-bottom: 15px;
    }
    .teacher-list .mb-100 {
        margin-bottom: 8vw !important;
    }
    .teachers-info-block h4 {
        line-height: 20px !important;
        font-size: 12px !important;
    }
    .teachers-info-block .registration {
        margin-top: 15px;
    }
    .teachers-info-block .registration button {
        width: 88px;
        height: 28px;
        font-size: 10px;
    }
    .teacher-media-img {
        width: 39vw;
        height: 39vw;
    }
    .teachers-info-block .video {
        width: 78vw !important;
        height: 44vw !important;
    }
    .teachers-info-block .title-name {
        width: 240px;
    }
    .teachers-info-block .teachers-schedule h4 {
        line-height: 30px !important;
        font-size: 32px !important;
        font-family: "Bebas Neuebold";
    }
}